Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jvm
Interface GarbageCollectionStrategy

All Superinterfaces:
  Describable

public interface GarbageCollectionStrategy
extends Describable

A garbage collection strategy, defining how the GarbageCollector is run.

Author:
  Marcus Hirt

Field Summary
`static java.lang.String` | `PROPERTY_GENERATIONAL` Property key for whether this GC stratey uses nursery/nurseries or not.
`static java.lang.String` | `PROPERTY_MARK` Property key for the mark phase of this GC strategy.
`static java.lang.String` | `PROPERTY_SWEEP` Property key for the sweep phase of this GC strategy.
`static java.lang.String` | `VALUE_CONCURRENT`
`static java.lang.String` | `VALUE_FALSE`
`static java.lang.String` | `VALUE_PARALLEL`
`static java.lang.String` | `VALUE_TRUE`

Method Summary
`java.util.Properties` | `getStrategyProperties()` Returns the properties of this GarbageCollectionStrategy.

Methods inherited from interface com.bea.jvm.Describable
`getDescription`

Field Detail

### PROPERTY_SWEEP

    public static final java.lang.String PROPERTY_SWEEP

  Property key for the sweep phase of this GC strategy.

  The value can either be VALUE_PARALLEL or VALUE_CONCURRENT

  See Also:
    Constant Field Values

### PROPERTY_MARK

    public static final java.lang.String PROPERTY_MARK

  Property key for the mark phase of this GC strategy.

  The value can either be VALUE_PARALLEL or VALUE_CONCURRENT.

  See Also:
    Constant Field Values

### PROPERTY_GENERATIONAL

    public static final java.lang.String PROPERTY_GENERATIONAL

  Property key for whether this GC stratey uses nursery/nurseries or not.

  The value can either be VALUE_TRUE or VALUE_FALSE.

  See Also:
    Constant Field Values

### VALUE_PARALLEL

    public static final java.lang.String VALUE_PARALLEL

See Also:
  Constant Field Values

### VALUE_CONCURRENT

    public static final java.lang.String VALUE_CONCURRENT

See Also:
  Constant Field Values

### VALUE_TRUE

    public static final java.lang.String VALUE_TRUE

See Also:
  Constant Field Values

### VALUE_FALSE

    public static final java.lang.String VALUE_FALSE

See Also:
  Constant Field Values

Method Detail

### getStrategyProperties

    public java.util.Properties getStrategyProperties()

  Returns the properties of this GarbageCollectionStrategy. The property collection returned should not be modified.

  Returns:
    a property collection defining the behaviour of this strategy.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD